﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;


namespace jQueryMvcDemo.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewData["Message"] = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        public ActionResult NewsList(string author)
        {
            
            List<News> news=ListNews.GetList();
            if (Request.IsAjaxRequest())
            {
                if (!string.IsNullOrEmpty(author))
                {
                    news = news.Where(p => p.Author == author).ToList();
                }
                return View("NewsListPartial", news);
            }
            else
            {
                List<object> list = new List<object>();
                list.Add(new { author = "全部", value = "" });
                list.Add(new { author = "lfm1", value = "lfm1" });
                list.Add(new { author = "lfm2", value = "lfm2" });
                list.Add(new { author = "lfm3", value = "lfm3" });
                
                ViewData["Author"] = new SelectList(list, "value", "author");
                return View(news);
            }
        }
        public ActionResult GetDemo(string title)
        {
            List<News> news=ListNews.GetList();
            if (Request.IsAjaxRequest())
            {
                return View("NewsListPartial",news.Where(p => p.Title.Contains(title)));
            }
            return View(news);
        }
        public ActionResult PostDemo(string title)
        {
            List<News> news = ListNews.GetList();
            if (Request.IsAjaxRequest())
            {
                return View("NewsListPartial", news.Where(p => p.Title.Contains(title)));
            }
            return View(news);
        }
        public ActionResult JosnDemo(string newsID)
        {
            if (Request.IsAjaxRequest())
            {
                return new JsonResult
                {
                    Data = ListNews.GetList().First(p => p.ID.ToString() == newsID)
                };
            }
            else
                return View();
        }

    }
}
